
import UIKit
import Alamofire
import SwiftyJSON
import ObjectMapper

private let AUTO_PLIST_OBJECT0_PATH = Bundle.main.path(forResource:"Province", ofType:"plist")
private let AUTO_PLIST_OBJECT1_PATH = Bundle.main.path(forResource: "city", ofType:"plist")

fileprivate func < <T : Comparable>(lhs: T?, rhs: T?) -> Bool {
    switch (lhs, rhs) {
    case let (l?, r?):
        return l < r
    case (nil, _?):
        return true
    default:
        return false
    }
}

fileprivate func > <T : Comparable>(lhs: T?, rhs: T?) -> Bool {
    switch (lhs, rhs) {
    case let (l?, r?):
        return l > r
    default:
        return rhs < lhs
    }
}
enum CompareResult {
    case equal
    case biger
    case smaller
}
typealias Result = () -> Void
typealias ResultClouse = (Int) -> ()
public var checkArray:Array<String> = []

@objc class DataHelper: NSObject {
    // 单例对象,demo项目中无用处,仅用于传值,建议替换,自己写传值就好了,原项目中有他用
    static let SharedDataHelper = DataHelper()
    var imageData = Data()
    fileprivate override init() {
        super.init()
    }
}









